Skip to main content
GET
Get a project by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

project_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

A unique ID assigned to this project.

created_at
string<date-time>
required

Project created at

updated_at
string<date-time>
required

Last time project was updated at

entity_id
string<uuid>
required

The ID of the entity to which the project was issued.

name
string
required

The project name.

Required string length: 1 - 255
Example:

"Marketing"

code
string

Project code

Required string length: 1 - 20
Pattern: ^[a-zA-Z0-9]+$
color
string

Project color

Maximum string length: 128
created_by_entity_user_id
string<uuid>

Project created by entity user

description
string

Description of project

Maximum string length: 1024
end_date
string<date>

Project end date

parent_id
string<uuid>

Parent project ID

partner_metadata
object

Project metadata

start_date
string<date>

Project start date

tags
object[]

A list of user-defined tags (labels) assigned to this project.